/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CENTCUSTFIL                                              */
/* Tabela : CENTCUSTFIL                                                       */
/*                                                                            */
/* Criao:                                                                   */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_CENTCUSTFIL
BEFORE INSERT OR UPDATE OR DELETE
ON CENTCUSTFIL FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDFILIAL,0) <> NVL(:NEW.CDFILIAL,0)) OR
         (NVL(:OLD.CDCENTCUST,0) <> NVL(:NEW.CDCENTCUST,0)) THEN
         :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CENTCUSTFIL', '',  'CDFILIAL='||:OLD.CDFILIAL||';CDCENTCUST='||:OLD.CDCENTCUST||';', SYSDATE);
   END IF;
END;
/
UPDATE CENTCUSTFIL SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/
ALTER TABLE CENTCUSTFIL MODIFY DTULTATU DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CENTCUSTFIL','5.09.066'); END;
/

